<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Level 5 Exercises</title>
</head>
<body>
    
    <script src="assets_accounts.js"></script>
    <script>
        console.log('Ex 1');
        const account1 = accounts.find(a => a.number === 'EE154770478');
        console.log(account1);

        console.log('Ex 2');
        const account2 = accounts.find(a => a.number === 'LT937416401');
        console.log(account2);

        console.log('Ex 3');
        // Variant 1
        const accountExists3 = accounts.some(account => account.number === 'LV587816561');
        console.log('Variant 1', accountExists3);

        // Variant 2
        const account3 = accounts.find(acc => acc.number === "LV587816561");
        console.log('Variant 2', account3 === true);

        console.log('Ex 4');
        const accountExists4 = accounts.some(a => a.number === 'EE251446912');
        console.log(accountExists4);

        console.log('Ex 5');
        let wealthyCustomers = accounts.filter(a => a.balance > 500);
        console.log(wealthyCustomers);

        console.log('Ex 6');
        let totalSuperRitch = accounts
            .filter(a => a.balance > 1000)
            .reduce((subBalance, a) => subBalance += a.balance, 0);
        console.log(totalSuperRitch);

        console.log('Ex 7');
        let totalBalance = accounts
            .reduce((subBalance, a) => subBalance += a.balance, 0);
        console.log(totalBalance);

        console.log('Ex 8');
        let totalEstonianBalance = accounts
            .filter(a => a.number.startsWith('EE'))
            .reduce((subBalance, account) => subBalance += account.balance, 0);
        console.log(totalEstonianBalance);

        console.log('Ex 9');
        let latvianAccounts = accounts.filter(a => a.number.startsWith('LV')); 
        let latvianAverageBalance = latvianAccounts
            .reduce((subTotal, acc) => subTotal + acc.balance, 0) / latvianAccounts.length;
        console.log(latvianAverageBalance);

        console.log('Ex 13');
        let noBankruptedCustomers = accounts.every(a => a.balance >= 1);
        console.log(noBankruptedCustomers);

    </script>
</body>
</html>